Karia
ReferencesOpenapiContact

Create contact address

POST
/organisation/{orgId}/workspace/{workspaceId}/contact/{contactId}/address

Add an address to an existing contact in the specified organisation and workspace.

Authorization

ApiKeyAuth
x-api-key<token>

API key for authentication

In: header

Path Parameters

orgId*string
workspaceId*string
contactId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://app.np.aws.karia.com.au/api/v0/organisation/string/workspace/string/contact/string/address" \  -H "Content-Type: application/json" \  -d '{    "type": "current",    "streetNumber": "string",    "streetName": "string",    "suburb": "string",    "state": "string",    "postCode": "string"  }'
{
  "id": 0
}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}